NSX-T Data Center REST API

Get a Policy Edge Cluster Remote TEP Connectivity status under an Enforcement Point

Returns the aggregated status for the Edge cluster along with status of
all edge nodes in the cluster.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/remote-tep-connectivity/status
/policy/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/remote-tep-connectivity/status
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sites/default/enforcement-points/default/edge-clusters/my-edge-cluster-id/remote-tep-connectivity/status

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyEdgeClusterRemoteTunnelConnectivityStatus+

Example Response:

{ "edge_cluster_name": "EDGECLUSTER1", "member_status": [ { "policy_edge_node_path": "/infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/1", "total_bgp_sessions": 2, "established_bgp_sessions": 2, "neighbor_status": [ { "source_address": "172.20.10.11", "neighbor_address": "172.20.10.21", "connection_state": "ESTABLISHED", "remote_site_path": "/global-infra/sites/Paris" }, { "source_address": "172.20.10.11", "neighbor_address": "172.20.10.20", "connection_state": "ESTABLISHED", "remote_site_path": "/global-infra/sites/Paris" } ], "status": "UP" }, { "policy_edge_node_path": "/infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/0", "total_bgp_sessions": 2, "established_bgp_sessions": 2, "neighbor_status": [ { "source_address": "172.20.10.10", "neighbor_address": "172.20.10.21", "connection_state": "ESTABLISHED", "remote_site_path": "/global-infra/sites/Paris" }, { "source_address": "172.20.10.10", "neighbor_address": "172.20.10.20", "connection_state": "ESTABLISHED", "remote_site_path": "/global-infra/sites/Paris" } ], "status": "UP" } ], "overall_status": "UP", "last_update_timestamp": 1735234102583 }

Required Permissions:

read

Feature:

policy_ep_edge

Additional Errors: